package com.alterdekim.game.entity;


import com.alterdekim.game.component.game.avatar.BodyPartType;
import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import lombok.Setter;

@Getter
@Setter
@NoArgsConstructor
@AllArgsConstructor
@Entity
@Table(name="bodyparts")
public class BodyPart {
    @Id
    private Long id;

    @Column(nullable = false)
    private Integer mediaResourceId;

    @Column(nullable = false)
    private Boolean isColorable;

    @Enumerated(EnumType.STRING)
    private BodyPartType type;
}
