package com.alterdekim.game.component.game.response.init;

import com.alterdekim.game.component.game.avatar.IBodyAvatarItem;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlElementWrapper;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlProperty;
import com.fasterxml.jackson.dataformat.xml.annotation.JacksonXmlRootElement;
import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.List;

@Getter
@AllArgsConstructor
@JacksonXmlRootElement(localName = "user_info")
public class GetUserInfo {
    @JacksonXmlProperty(localName = "user")
    private UserInfo user;

    @JacksonXmlProperty(localName = "avatar")
    @JacksonXmlElementWrapper(useWrapping = true, localName = "avatar")
    private List<IBodyAvatarItem> avatar;
}
